<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.89
Name: Esenzioni Applicate (PrS)
Description: Template CDA Act (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020">
   <title>Esenzioni Applicate (PrS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.89
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]
Item: (Esenzioni_PrF_entry_2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]"
         id="d42e1332-false-d124e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']) &gt;= 1">(Esenzioni_PrF_entry_2): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']) &lt;= 1">(Esenzioni_PrF_entry_2): element hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.89
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']
Item: (Esenzioni_PrF_entry_2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']"
         id="d42e1345-false-d140e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="string(@classCode) = ('ACT')">(Esenzioni_PrF_entry_2): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="string(@moodCode) = ('EVN')">(Esenzioni_PrF_entry_2): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:code) &gt;= 1">(Esenzioni_PrF_entry_2): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:code) &lt;= 1">(Esenzioni_PrF_entry_2): element hl7:code appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.89
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code
Item: (Esenzioni_PrF_entry_2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code"
         id="d42e1362-false-d164e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="@code">(Esenzioni_PrF_entry_2): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="not(@code) or string-length(@code)&gt;0">(Esenzioni_PrF_entry_2): Attribute @code SHALL be of data type 'st'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="@codeSystem">(Esenzioni_PrF_entry_2): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$')">(Esenzioni_PrF_entry_2): Attribute @codeSystem SHALL be of data type 'oid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Esenzioni_PrF_entry_2): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Esenzioni_PrF_entry_2): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:originalText) &lt;= 1">(Esenzioni_PrF_entry_2): element hl7:originalText appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.89
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText
Item: (Esenzioni_PrF_entry_2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText"
         id="d42e1380-false-d196e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:reference) &gt;= 1">(Esenzioni_PrF_entry_2): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="count(hl7:reference) &lt;= 1">(Esenzioni_PrF_entry_2): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.89
Context: *[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText/hl7:reference
Item: (Esenzioni_PrF_entry_2)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:code/hl7:originalText/hl7:reference"
         id="d42e1384-false-d212e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="@value">(Esenzioni_PrF_entry_2): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20221027T115909/tmp-2.16.840.1.113883.3.1937.777.63.10.89-2022-07-13T072020.html"
              test="not(@value) or string-length(@value)&gt;0">(Esenzioni_PrF_entry_2): Attribute @value SHALL be of data type 'st'  - '<value-of select="@value"/>'</assert>
   </rule>
</pattern>
